/*
 * wmdimp
 * Copyright (c) 2003 Daniele Tamino <aslo@wmdimp.cjb.net>.
 * This software covered by the GPL.  See COPYING file for details.
 *
 * player_tab.c
 *
 * Table with all available players
 *
 */
#include <config.h>
#include "player.h"
#include "mpg123_player.h"
#ifdef HAVE_LIBMAD
#include "player_mad.h"
#endif

player_factory* player_tab[] = {
#ifdef HAVE_LIBMAD
    &player_mad_factory,
#endif
#ifdef WITH_MPG123
    &mpg123_player_factory,
#endif
    NULL
};

const int player_tab_sz = sizeof(player_tab) / sizeof(player_tab[0]) - 1;
